Mailinglist Archive: opensuse-factory (446 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20161226 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20161226

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
NetworkManager (1.4.2 -> 1.4.4)
amarok
appstream-glib (0.6.5 -> 0.6.6)
autoyast2 (3.2.4 -> 3.2.5)
calligra
curl (7.51.0 -> 7.52.1)
emacs
ffmpeg
gdk-pixbuf (2.36.0 -> 2.36.1)
gmime (2.6.21 -> 2.6.22)
gnome-online-accounts (3.22.2 -> 3.22.3)
gspell (1.2.1 -> 1.2.2)
gstreamer-plugins-bad
gvfs (1.30.2 -> 1.30.3)
hunspell (1.4.1 -> 1.5.4)
iio-sensor-proxy (1.3 -> 2.0)
jasper
kdewebdev4 (16.12.0 -> 16.08.3)
kernel-source (4.8.14 -> 4.9.0)
libpsl (0.15.0 -> 0.16.1)
libsigc++2
libthai (0.1.25 -> 0.1.26)
mcelog (1.36 -> 1.46)
openslp
pcsc-asedriveiiie-usb
pcsc-asekey
pinentry (0.9.7 -> 1.0.0)
poppler (0.49.0 -> 0.50.0)
poppler-qt5 (0.49.0 -> 0.50.0)
postgresql95-libs (9.6.1 -> 9.5.4)
publicsuffix (20161128 -> 20161211)
python-cryptography (1.6 -> 1.7.1)
python3-setuptools (30.3.0 -> 31.0.0)
shotwell (0.24.1 -> 0.24.3)
spice-gtk
star
strace (4.14 -> 4.15)
tiff
tracker (1.10.2 -> 1.10.3)
tracker-extras (1.10.2 -> 1.10.3)
vala
wpa_supplicant
yast2-network (3.2.16 -> 3.2.17)

=== Details ===

==== NetworkManager ====
Version update (1.4.2 -> 1.4.4)
Subpackages: NetworkManager-devel libnm-glib-vpn1 libnm-glib4 libnm-util2
libnm0 typelib-1_0-NM-1_0 typelib-1_0-NMClient-1_0
typelib-1_0-NetworkManager-1_0

- Update to version 1.4.4:
+ Order in which IP addresses are configured is now preserved so
that primary address is selected correctly.
+ Don't deconfigure devices we can take over on shutdown. Makes
it possible to restart without connection disruption for most
device types.
+ Avoid reading the permanent MAC address before the device is
initialized by UDEV. This avoids a race where NetworkManager
might detect the MAC address of the wrong interface.
+ Fixed race condition when renaming interfaces, for example as
done by UDEV for persistent interface naming. This could cause
detecting a Wi-Fi interface as ethernet.
+ Fixed a race condition in libnm that could cause a client hang
if a last value from a property of object array type
disappeared.
+ Fixed a possible nmcli hang on D-Bus object fetch failure.
+ Other fixes and improvements.

==== amarok ====

- Revert kde4_runtime_requires change
- Recommend kio_audiocd4 for playback of AudioCDs, the standard
kio_audiocd package is KF5 based now

==== appstream-glib ====
Version update (0.6.5 -> 0.6.6)
Subpackages: libappstream-builder8 libappstream-glib8

- Update to version 0.6.6:
+ trivial:
- Remove two unused variables.
- Use g_autoptr to avoid a Coverity warning.
- Do not leak the entry if the file cannot be read.
- Fix the self tests now we're stemming the tag cache.
- Show a total process time when using appstream-util
- -profile.
- Don't split the text every time in the XML parsing hot path.
- Add as_ref_string_debug().
- Add as_ref_string_new_static().
- Fix a tiny memory leak when escaping cdata.
- Fix unused variable warnings.
- Use -Wunused.
- Remove an ununsed variable.
- Remove a tiny compiler warning.
- Do not attempt to parse unknown tags when converting.
- Don't include trailing whitespace from AppData files.
- Output the release state if the export is trusted
- Add some asserts to shut up clang.
+ Check the return value of the stat call.
+ Do not save the XML attributes if the node or parent node is
being ignored.
+ Don't recommend use of DISTCHECK_CONFIGURE_FLAGS.
+ Deduplicate the AsNode attribute key and value using a hash
table.
+ Deduplicate common AsNode cdata sections for some tag types.
+ Dedupliate nonstandard tag names using a hash table.
+ Detect invalid files in the libyaml read handler.
+ Don't export NULL tags from AppData file.
+ Add a refcounted overloaded C string object.
+ Use refcounted strings in all objects.
+ Lazy load structures in AsRelease.
+ Use refcounted strings as the localised key.
+ Lazy load the screenshot captions storage.
+ Allocate the release sizes at runtime.
+ trivial: Use a finer threshold when performing massif.
+ Cache the stemmer results in a hash table.
+ Add support for ONLY_NATIVE_LANGS when parsing yaml files.
+ Use full RELRO in the client executables.
+ Enable the stack protection in local builds.
+ Set a better icon for codecs.
+ Make AsRefString thread safe.
+ Fix one more thread safety issue with AsRefString.
+ Don't regenerate .pot files with every build.
+ Don't add <languages> for addons.
+ Don't add <kudos> for addons.
+ Don't add <provides> for addons.
+ Don't add <releases> for addons.
+ Do not absorb core addons into the main application.
+ Add Geary to the app id fallbacks.
+ Add AS_APP_QUIRK_IS_PROXY.
+ Add as_release_state_to_string().
+ Subsume the AppData releases into AppStream items.

==== autoyast2 ====
Version update (3.2.4 -> 3.2.5)
Subpackages: autoyast2-installation

- Moved post-scripts download from second-stage to first-stage.
(bnc#1014859)
- 3.2.5
- If Btrfs subvolumes are not specified, the default set
is created (bsc#1012328)

==== calligra ====
Subpackages: calligra-extras-dolphin calligra-stage calligra-words-common

- Fix build in Factory by dropping calligra-extras-okular, okular
is KF5 based now so the plugin cannot be built any more
- Revert kde4_runtime_requires change

==== curl ====
Version update (7.51.0 -> 7.52.1)
Subpackages: libcurl-devel libcurl4

- Update to 7.52.1
Bugfixes:
* CVE-2016-9594: unititialized random bsc#1016738
- Update to 7.52.0
Changes:
* nss: map CURL_SSLVERSION_DEFAULT to NSS default
* vtls: support TLS 1.3 via CURL_SSLVERSION_TLSv1_3
* curl: introduce the --tlsv1.3 option to force TLS 1.3
* curl: Add --retry-connrefused
* proxy: Support HTTPS proxy and SOCKS+HTTP(s)
* add CURLINFO_SCHEME, CURLINFO_PROTOCOL, and %{scheme}
* curl: add --fail-early
Bugfixes:
* CVE-2016-9586: printf floating point buffer overflow
* curl -w: added more decimal digits to timing counters
* easy: Initialize info variables on easy init and duphandle
* http2: Don't send header fields prohibited by HTTP/2 spec
* ssh: check md5 fingerprints case insensitively (regression)
* openssl: initial TLS 1.3 adaptions
* SPNEGO: Fix memory leak when authentication fails
* realloc: use Curl_saferealloc to avoid common mistakes
* openssl: make sure to fail in the unlikely event that PRNG
seeding fails
* URL-parser: for file://[host]/ URLs, the [host] must be localhost
* timeval: prefer time_t to hold seconds instead of long
* glob: fix [a-c] globbing regression
* curl.1: Clarify --dump-header only writes received headers
* http2: Fix address sanitizer memcpy warning
* http2: Use huge HTTP/2 windows
* connects: Don't mix unix domain sockets with regular ones
* url: Fix conn reuse for local ports and interfaces
* x509: Limit ASN.1 structure sizes to 256K
* http2: check nghttp2_session_set_local_window_size exists
* http2: Fix crashes when parent stream gets aborted
* CURLOPT_CONNECT_TO: Skip non-matching "connect-to" entries
* URL parser: reject non-numerical port numbers
* CONNECT: reject TE or CL in 2xx responses
* CONNECT: read responses one byte at a time
* curl: support zero-length argument strings in config files
* openssl: don't use OpenSSL's ERR_PACK
* curl.1: generated with the new man page system
* curl_easy_recv: Improve documentation and example program
* Curl_getconnectinfo: avoid checking if the connection is closed
* CIPHERS.md: attempt to document TLS cipher names

==== emacs ====
Subpackages: emacs-info emacs-nox emacs-x11 etags

- Add patch emacs-25.1-custom-fonts.patch as workaround for boo#1016172

==== ffmpeg ====
Subpackages: libavcodec57 libavformat57 libavutil55 libswresample2 libswscale4

- Enable all muxers and demuxers as they are just descriptor of format
thus do not change the behaviour in any relevant way.
* The best user now gets is proper interpretation of the format and
failure to play it without proper de/encoder
* Recommended by vlc team to be done this way :)

==== gdk-pixbuf ====
Version update (2.36.0 -> 2.36.1)
Subpackages: gdk-pixbuf-devel gdk-pixbuf-query-loaders
gdk-pixbuf-query-loaders-32bit libgdk_pixbuf-2_0-0 libgdk_pixbuf-2_0-0-32bit
typelib-1_0-GdkPixbuf-2_0

- Update to version 2.36.1:
+ Remove the pixdata loader (bgo#776004).
+ Fix integer overflows in the jpeg loader (bgo#775218).
+ Add an external thumbnailer for images.
+ Updated translations.
- Split the external thumbnailer into gdk-pixbug-thumbnailer.
- Add u_contrib-gdk-pixbuf-xlib-Fix-rgb888amsb.patch:
Fix RGBA conversion for big endian X11 environments.
Fixes (boo#929462, bsc#1010497, bgo#775896).

==== gmime ====
Version update (2.6.21 -> 2.6.22)

- Update to version 2.6.22:
+ Updated Mono bindings.

==== gnome-online-accounts ====
Version update (3.22.2 -> 3.22.3)
Subpackages: libgoa-1_0-0 libgoa-backend-1_0-1 typelib-1_0-Goa-1_0

- Update to version 3.22.3:
+ New API key for Google.
+ Updated translations.

==== gspell ====
Version update (1.2.1 -> 1.2.2)

- Update to version 1.2.2:
+ GtkTextView support: fix populate-popup signal param type.

==== gstreamer-plugins-bad ====
Subpackages: libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0 libgstbadbase-1_0-0
libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0
libgstgl-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0
libgsturidownloader-1_0-0 libgstwayland-1_0-0

- Wrap wayland support properly to fix builderrors in non-TW

==== gvfs ====
Version update (1.30.2 -> 1.30.3)
Subpackages: gvfs-backend-afc gvfs-backend-samba gvfs-backends gvfs-fuse

- Update to version 1.30.3:
+ recent: Fix crashes when DISPLAY is not set.
+ metadata: Various performance improvements.
+ dnssd: Fix crashes and leaks when mount fails.
+ network: Fix crashes when mount fails.
+ udisks2: Fix misleading notification when unmounting.
+ smb: Fix IPv6 uri handling.

==== hunspell ====
Version update (1.4.1 -> 1.5.4)

- update to 1.5.4:
* fix API compatibility with 1.4
- update to 1.5.0:
* Lot of stability fixes
* Fixed compilation errors on various systems (Windows, FreeBSD)
* Small performance improvement compared to 1.4.0
* API is same as 1.4.

==== iio-sensor-proxy ====
Version update (1.3 -> 2.0)

- Update to version 2.0:
+ This release adds build fixes, fixes the detection of a number
of devices that should be supported, stops trying to use
devices that shouldn't, and adds support for the "mount-matrix"
property, which can be used to fix the orientation of
accelerometers on devices where the default does not work.
+ Add support for ACCEL_MOUNT_MATRIX udev property.
+ Fix startup failure on certain devices.
+ Work-around possible kernel bug on certain devices.
+ Better supported/unsupported sensors detection.
+ Better debug output.
- Drop iio-sensor-proxy-delay-starting-daemon.patch: Fixed
upstream.
- Pass --disable-gtk-tests to configure, we do not need the sample
programs.

==== jasper ====
Subpackages: libjasper-devel libjasper1 libjasper1-32bit

- Added patch:
* jasper-CVE-2016-9591.patch
- Fix for bsc#1015993, CVE-2016-9591: Use-after-free on heap in
jas_matrix_destroy

==== kdewebdev4 ====
Version update (16.12.0 -> 16.08.3)
Subpackages: kfilereplace klinkstatus

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php
- KDE Applications 16.08.2
https://www.kde.org/announcements/announce-applications-16.08.2.php
- Update to KDE Applications 16.08.1
* KDE Applications 16.08.1
* https://www.kde.org/announcements/announce-applications-16.08.1.php
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php
- Update to KDE Applications 16.04.3
* KDE Applications 16.04.3
* https://www.kde.org/announcements/announce-applications-16.04.3.php
- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php
- Update to KDE Applications 16.04.1
* KDE Applications 16.04.1
* https://www.kde.org/announcements/announce-applications-16.04.1.php
- Update to KDE Applications 16.04.0
* KDE Applications 16.04.0
* https://www.kde.org/announcements/announce-applications-16.04.0.php
- Update to KDE Applications 16.03.90
* KDE Applications 16.04.0 RC
* https://www.kde.org/announcements/announce-applications-16.04-rc.php
- Update to KDE Applications 15.12.3
* KDE Applications 15.12.3
* https://www.kde.org/announcements/announce-applications-15.12.3.php
* boo#970855
- Update to KDE Applications 15.12.2
* KDE Applications 15.12.2
* https://www.kde.org/announcements/announce-applications-15.12.2.php
* boo#966605
- Update to KDE Applications 15.12.1
* KDE Applications 15.12.1
* https://www.kde.org/announcements/announce-applications-15.12.1.php
* boo#961265
- Update to KDE Applications 15.12.0
* KDE Applications 15.12.0
* https://www.kde.org/announcements/announce-applications-15.12.0.php
* boo#958887
- Update to KDE Applications 15.08.3
* KDE Applications 15.08.3
* https://www.kde.org/announcements/announce-applications-15.08.3.php
* boo#954531
- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php
- Update to KDE Applications 15.08.1
* KDE Applications 15.08.1
* https://www.kde.org/announcements/announce-applications-15.08.1.php
- Update to KDE Applications 15.08.0
* KDE Applications 15.08.0
* https://www.kde.org/announcements/announce-applications-15.08.0.php
- Update to KDE Applications 15.07.90
* KDE Applications 15.08.0 RC1
* https://www.kde.org/announcements/announce-applications-15.07.90.php
- Update to KDE Applications 15.04.3
* KDE Applications 15.04.3
* https://www.kde.org/announcements/announce-applications-15.04.3.php
- Update to KDE Applications 15.04.2
* KDE Applications 15.04.2
* https://www.kde.org/announcements/announce-applications-15.04.2.php
- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta
- Update to KDE Applications 14.12.3
* KDE Applications 14.12.3
* See https://www.kde.org/announcements/announce-applications-14.12.3.php
- Update to KDE Applications 14.12.2
* KDE Applications 14.12.2
* See https://www.kde.org/announcements/announce-applications-14.12.2.php
- Update to KDE Applications 14.12.1
* KDE Applications 14.12.1
* See https://www.kde.org/announcements/announce-applications-14.12.1.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
- Update to 4.14.3
* KDE 4.14.3 SC Bugfix Release
* See http://www.kde.org/announcements/announce-4.14.3.php
- Update to 4.14.2
* KDE 4.14.2 SC Bugfix Release
* See http://www.kde.org/announcements/announce-4.14.2.php
- Update to 4.14.1
* KDE 4.14.1 SC Bugfix Release
* See http://www.kde.org/announcements/announce-4.14.1.php
- Update to 4.14.0
* KDE 4.14.0 SC Final Release
* See http://www.kde.org/announcements/4.14/
- Update to 4.13.90
* KDE 4.14 Beta 2 release
* See http://www.kde.org/announcements/announce-4.14-beta2.php
- Update to 4.13.80
* KDE 4.14 Beta 1 release
* See http://www.kde.org/announcements/announce-4.14-beta1.php
- Update to 4.13.2
* KDE 4.13 release
* See http://www.kde.org/announcements/announce-4.13.2.php
- Update to 4.13.1
* KDE 4.13.1 bug fix release
* See http://www.kde.org/announcements/announce-4.13.1.php
- Update to 4.13.0
* KDE 4.13 release
* See http://www.kde.org/announcements/4.13/
- Update to 4.12.97
* KDE 4.13 RC release
* See http://www.kde.org/announcements/announce-4.13-rc.php
- Update to 4.12.95
* KDE 4.13 Beta 3 release
* See http://www.kde.org/announcements/announce-4.13-beta3.php
- Update to 4.12.90
* KDE 4.13 Beta 2 release
* See http://www.kde.org/announcements/announce-4.13-beta2.php
- Update to 4.12.80
* KDE 4.13 Beta 1 release
* See http://www.kde.org/announcements/announce-4.13-beta1.php
- Update to 4.12.2
* KDE 4.12.2 release
* See http://www.kde.org/announcements/announce-4.12.2.php
- Update to 4.12.1
* KDE 4.12.1 release
* See http://www.kde.org/announcements/announce-4.12.1.php
- Update to 4.12.0
* KDE 4.12.0 release
* See http://www.kde.org/announcements/4.12.php
- Update to 4.11.97
* KDE 4.12 RC 1 release
* See http://www.kde.org/announcements/announce-4.12-rc.php
- Update to 4.11.95
* KDE 4.12 Beta 3 release
* See http://www.kde.org/announcements/announce-4.12-beta3.php
- Update to 4.11.90
* KDE 4.12 Beta 2 release
* See http://www.kde.org/announcements/announce-4.12-beta2.php
- Update to 4.11.80
* KDE 4.12 Beta 1 release
* See http://www.kde.org/announcements/announce-4.12-beta1.php
- Update to 4.11.3
* KDE 4.11.3 bugfix release
* See http://www.kde.org/announcements/announce-4.11.3.php
- Update to 4.11.2
* KDE 4.11.2 bugfix release
* See http://www.kde.org/announcements/announce-4.11.2.php
- Update to 4.11.1
* KDE 4.11.1 bugfix release
* See http://www.kde.org/announcements/announce-4.11.1.php
- Update to 4.11.0
* KDE 4.11 Final release
* See http://www.kde.org/announcements/4.11/
- Update to 4.10.97
* KDE 4.11 RC 2 release
* See http://www.kde.org/announcements/announce-4.11-rc2.php
- Update to 4.10.95
* KDE 4.11 RC 1 release
* See http://www.kde.org/announcements/announce-4.11-rc1.php
- Update to 4.10.90
* KDE 4.11 Beta 1 release
* See http://www.kde.org/announcements/announce-4.11-beta2.php
- Update to 4.10.80
* KDE 4.11 Beta 1 release
* See http://www.kde.org/announcements/announce-4.11-beta1.php
- Update to 4.10.4
* Bugfix release
* See http://www.kde.org/announcements/announce-4.10.4.php
* resolves bnc#8122760
- Update to 4.10.3
* Bugfix release
* See http://www.kde.org/announcements/announce-4.10.3.php
* resolves bnc#818500
- Update to 4.10.2 \n * Bugfixes
- Update to 4.10.1
* Contains bug fixes. See http://www.kde.org/announcements/
for more information
- Update to 4.10.0
* This is the final release for 4.10. Contains bugfixes
- Update to 4.9.98
* This is the third RC release for 4.10. Contains bugfixes
- Update to 4.9.97
* This is the second RC release for 4.10. Contains bugfixes
- Update to 4.9.95
* This is the first RC release for 4.10. Contains bugfixes
- Update to 4.9.90
* This is the second Beta release for 4.10. Contains bugfixes
- Update to 4.9.80
* See http://www.kde.org/announcements/announce-4.10-beta1.php
- Update to 4.9.3
* see http://kde.org/announcements/announce-4.9.3.php for details
- Update to 4.9.2
* see http://kde.org/announcements/announce-4.9.2.php for details
- update to 4.9.1
* see http://kde.org/announcements/4.9.1/ for details
- update to 4.8.5
* see http://kde.org/announcements/changelogs/changelog4_8_4to4_8_5.php for
details
- update to 4.8.4
* see http://kde.org/announcements/changelogs/changelog4_8_3to4_8_4.php for
details
- update to 4.8.3
* see http://kde.org/announcements/changelogs/changelog4_8_2to4_8_3.php for
details
- Add xz to BuildRequires
- update to 4.8.2
* see http://kde.org/announcements/changelogs/changelog4_8_1to4_8_2.php for
details
- update to 4.8.1
* see http://kde.org/announcements/changelogs/changelog4_8_0to4_8_1.php for
details
- update to 4.8.0
* first stable release of KDE 4.8 (only critical fixes over 4.7.98)
* see http://kde.org/announcements/4.8/ for details
- update to 4.7.98
* RC2+ milestone release of KDE 4.8
* see http://kde.org/announcements/4.8/ for details
- require the newest kdepimlibs build
- fix license to be in spdx.org format
- update to 4.7.4
* see http://kde.org/announcements/changelogs/changelog4_7_3to4_7_4.php for
details
- update to 4.7.3
* see http://kde.org/announcements/changelogs/changelog4_7_2to4_7_3.php for
details
- update to 4.7.2
* see http://kde.org/announcements/changelogs/changelog4_7_1to4_7_2.php for
details
- Removed empty base package (fix for RPMLINT warning)
- Added %kde4_pimlibs_requires macro (fix for RPMLINT warning)
- Split kommander-runtime-devel package (fix for RPMLINT warning)
- Changed kimagemapeditor description (fix for RPMLINT warning)
- Cleaned up spec file formatting
- Cleanup spec file
- Remove unneeded dependency on kdesdk4 package, which is gone now
- update to 4.7.1
* Bugfixes over KDE 4.7.0
* see http://kde.org/announcements/changelogs/changelog4_7_0to4_7_1.php for
details
- update to 4.7.0
* Small fixes over KDE 4.7 RC2
* see http://kde.org/announcements/4.7 for details
- Update to 4.6.95
- update to 4.6.5
* Bugfixes over KDE 4.6.5
* see http://kde.org/announcements/changelogs/changelog4_6_4to4_6_5.php for
details
- update to 4.6.4
* Bugfixes over KDE 4.6.3
* see http://kde.org/announcements/changelogs/changelog4_6_3to4_6_4.php for
details
- update to 4.6.3
* Bugfixes over KDE 4.6.2
* see http://kde.org/announcements/changelogs/changelog4_6_2to4_6_3.php for
details
- update to 4.6.2
* Bugfixes over KDE 4.6.1
* see http://kde.org/announcements/changelogs/changelog4_6_1to4_6_2.php for
details
- update to 4.6.1
* Bugfixes over KDE 4.6.0
* see http://kde.org/announcements/changelogs/changelog4_6_0to4_6_1.php for
details
- update to 4.6.0
* For highlights, see http://kde.org/announcements/4.6
- update to 4.5.95
* KDE 4.6 RC2
* no upstream changelog available.
- update to 4.5.90
* KDE 4.6 RC1
* no upstream changelog available.
- Add optional dependencies
* Ruby -- For KLinkStatus example ruby scripts
- Removed build tests for unsupported openSUSE versions (11.0 and earlier)
- update to 4.5.85
* KDE 4.6 Beta2
* Final Beta before RC, various fixes from Beta1
* no upstream changelog available.
- update to 4.5.80
* KDE 4.6 Beta1
* no upstream changelog available.
- update to 4.5.3
* see http://kde.org/announcements/changelogs/changelog4_5_2to4_5_3.php for
details
- update to 4.5.2
* see http://kde.org/announcements/changelogs/changelog4_5_1to4_5_2.php for
details
- update to 4.5.1
* see http://kde.org/announcements/changelogs/changelog4_5_0to4_5_1.php for
details
- update to 4.5.0
* KDE 4.5.0 final (version bump over RC3)
- update to 4.4.95
* KDE 4.5 RC3 (not announced)
* critical fixes for 4.5.0 release
- update to 4.4.93svn1149349
- update to 4.4.5
* bugfixes over 4.4.4
* see http://kde.org/announcements/changelogs/changelog4_4_4to4_4_5.php for
details
- update to 4.4.4
* bugfixes over 4.4.3
* see http://kde.org/announcements/changelogs/changelog4_4_3to4_4_ 4.php for
details
* for most modules only version number as a change (4_4_BRANCH.diff already
contained the diff
- update to 4.4.3
* bugfixes over 4.4.2
* see http://kde.org/announcements/changelogs/changelog4_4_2to4_4_3.php for
details
- update to 4.4.2
* bugfixes over 4.4.1
* see http://kde.org/announcements/changelogs/changelog4_4_1to4_4_2.php for
details
- update to 4.4.1
* bugfixes over 4.4.0
* see http://kde.org/announcements/changelogs/changelog4_4_0to4_4_1.php for
details
- update to 4.4.0
* Critical bugfixes only over 4.3.98
* see http://www.kde.org/announcements/4.4/ for general overview
- update to 4.3.98
* see http://www.kde.org/announcements/announce-4.4-rc3.php for details
- update to 4.3.95
* see http://www.kde.org/announcements/announce-4.4-rc2.php for details
- update to 4.3.90
* see http://www.kde.org/announcements/announce-4.4-rc1.php for details
- update to 4.3.85
* see http://www.kde.org/announcements/announce-4.4-beta2.php for details
- update to 4.3.80:
* see http://techbase.kde.org/Schedules/KDE4/4.4_Feature_Plan
- update to 4.3.3
* see http://kde.org/announcements/changelogs/changelog4_3_2to4_3_3.php for
details
- update 4_3_BRANCH.diff: translation updates
- update to 4.3.1
* see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for
details
- make patch0 usage consistent
- rename kommander to kommander-runtime (bnc#528709)
- update to 4.3.0
* see http://kde.org/announcements/4.3 for details
- update to 4.2.98
- update to 4.2.96
- update to 4.2.95
- drop kde4- package prefixes
- update to 4.2.90
- update to 4.2.88svn973768
- update to 4.2.87svn969966
- update to 4.2.86svn967995
- update to 4.2.85 (KDE 4.3 Beta1)
- update to 4.2.3
* see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
- update to 4.2.2
* see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php

==== kernel-source ====
Version update (4.8.14 -> 4.9.0)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- kbuild: provide include/asm/asm-prototypes.h for x86 (bnc#1016101).
- commit 74d2b9b
- ipc: msg, make msgrcv work with LONG_MIN (bnc#1005918).
- commit 1583bd5
- Fix incorrect 'Reference' tag.
- commit fd5379c

==== libpsl ====
Version update (0.15.0 -> 0.16.1)

- libpsl 0.16.1:
This version enables consumers of the library to dynamically load
the latest public suffix data from a binary data file in the
publicsuffix package which can then updated without re-building
libpsl.
* Add functions psl_latest() and psl_dist_filename()
* Do not taint out variable on error in psl_str_to_utf8lower()
* Replace psl2c by psl-make-dafsa
- correct licenses for package and subpackages
- package HTML docs in -devel package

==== libsigc++2 ====
Subpackages: libsigc++2-devel libsigc-2_0-0

- RPM group reassignment
- Drop --with-pic, we build no static libs for which it is meant

==== libthai ====
Version update (0.1.25 -> 0.1.26)
Subpackages: libthai-data libthai0 libthai0-32bit

- Update to version 0.1.26:
+ Updated word break dictionary.

==== mcelog ====
Version update (1.36 -> 1.46)

- Version update to 1.48:
* Various cpu support for new machines
- Refresh patches:
* add-f10h-support.patch
* email.patch
- Force build with pic
- Use normal webpage as Url and do not point to git
- Fix build with --as-needed expanded Makefile patch for email.patch

==== openslp ====
Subpackages: openslp-devel openslp-server

- Replace pkgconfig(libsystemd-*) with pkgconfig(libsystemd)
Nowadays pkgconfig(libsystemd) replaces all libsystemd-* libs, which
are obsolete.

==== pcsc-asedriveiiie-usb ====

- Fix: pcscd is started as root (boo#942847,
pcscd-group-no-longer-exist.patch)

==== pcsc-asekey ====

- Fix: pcscd is started as root (boo#942847,
pcscd-group-no-longer-exist.patch).

==== pinentry ====
Version update (0.9.7 -> 1.0.0)
Subpackages: pinentry-gnome3 pinentry-gtk2 pinentry-qt5

- Build pinentry tui in build and not during install
- pinentry 1.0.0:
* Qt pinentry now supports repeat mode in one dialog.
* Qt and GTK pinentries now make it possible to show the entered
value.
* Qt pinentry now only grabs the keyboard if an entry field is
focused.
* Fixed potential crash in Qt qualitybar calculation.
* GTK keyboard grabbing is now a bit more robust. The cursor is
changed to a big dot as a visual indication that a pinentry
has popped up and is waiting for input.
* The GNOME pinentry now falls back to curses if it can't use the
GCR system prompter or a screenlock is active.
* Fixed error output for cached passwords.
* A show/hide passphrase button or checkbox is now available with
some pinentry flavors.
* Improved diagnostics and error codes.

==== poppler ====
Version update (0.49.0 -> 0.50.0)
Subpackages: libpoppler-cpp0 libpoppler-devel libpoppler-glib8 poppler-tools

- Update to version 0.50.0:
+ core:
- PSOutputDev: Fix PS conversion for some files (fdo#63963).
- Fix Outline parsing on broken documents (fdo#98732).
- Fix PDFDoc::saveIncrementalUpdate()'s detection of document
being modified (fdo#96561).
- SplashOutputDev: Read softmask into memstrean in case of
matte (fdo#97803).
- Bail out if Hints nBitsNumObjects or nBitsDiffGroupLength are
greater than 32 (fdo#94941).
- CairoOutputDev: initialize CairoOutputDev::antialias
(fdo#98983).
- Fix crash when loading some thumbnails (fdo#97870).
+ utils:
- pdftoppm: Fix -tiff -gray/-mono incorrect output.
- pdftops: add -passlevel1customcolor (fdo#97193).
+ build system: Default to libopenjpeg2 instead of libopenjpeg1.
+ qt: Support OCG state change links.
+ glib: Use g_slice_new0 for PopplerActionLayer (fdo#98786).
- Bump soversion following upstream changes.

==== poppler-qt5 ====
Version update (0.49.0 -> 0.50.0)
Subpackages: libpoppler-qt5-1 libpoppler-qt5-devel

- Update to version 0.50.0:
+ core:
- PSOutputDev: Fix PS conversion for some files (fdo#63963).
- Fix Outline parsing on broken documents (fdo#98732).
- Fix PDFDoc::saveIncrementalUpdate()'s detection of document
being modified (fdo#96561).
- SplashOutputDev: Read softmask into memstrean in case of
matte (fdo#97803).
- Bail out if Hints nBitsNumObjects or nBitsDiffGroupLength are
greater than 32 (fdo#94941).
- CairoOutputDev: initialize CairoOutputDev::antialias
(fdo#98983).
- Fix crash when loading some thumbnails (fdo#97870).
+ utils:
- pdftoppm: Fix -tiff -gray/-mono incorrect output.
- pdftops: add -passlevel1customcolor (fdo#97193).
+ build system: Default to libopenjpeg2 instead of libopenjpeg1.
+ qt: Support OCG state change links.
+ glib: Use g_slice_new0 for PopplerActionLayer (fdo#98786).
- Bump soversion following upstream changes.

==== postgresql95-libs ====
Version update (9.6.1 -> 9.5.4)

- Update to version 9.5.4:
* Fix possible mis-evaluation of nested CASE-WHEN expressions
(CVE-2016-5423, bsc#993454)
* Fix client programs' handling of special characters in database
and role names (CVE-2016-5424, bsc#993453)
* Fix corner-case misbehaviors for IS NULL/IS NOT NULL applied
to nested composite values
* Fix "unrecognized node type" error for INSERT ... ON CONFLICT
within a recursive CTE (a WITH item)
* Fix INSERT ... ON CONFLICT to successfully match index
expressions or index predicates that are simplified during the
planner's expression preprocessing phase
* Correctly handle violations of exclusion constraints that apply
to the target table of an INSERT ... ON CONFLICT command, but
are not one of the selected arbiter indexes
* For the other bug fixes, see the release notes:
https://www.postgresql.org/docs/9.5/static/release-9-5-4.html
- update to 9.5.3
This update fixes several problems which caused downtime for
users, including:
- Clearing the OpenSSL error queue before OpenSSL calls,
preventing errors in SSL connections, particularly when using
the Python, Ruby or PHP OpenSSL wrappers
- Fixed the "failed to build N-way joins" planner error
- Fixed incorrect handling of equivalence in multilevel nestloop
query plans, which could emit rows which didn't match the WHERE
clause.
- Prevented two memory leaks with using GIN indexes, including a
potential index corruption risk.
The release also includes many other bug fixes for reported
issues, many of which affect all supported versions:
- Fix corner-case parser failures occurring when
operator_precedence_warning is turned on
- Prevent possible misbehavior of TH, th, and Y,YYY format codes
in to_timestamp()
- Correct dumping of VIEWs and RULEs which use ANY (array) in a
subselect
- Disallow newlines in ALTER SYSTEM parameter values
- Avoid possible misbehavior after failing to remove a tablespace
symlink
- Fix crash in logical decoding on alignment-picky platforms
- Avoid repeated requests for feedback from receiver while
shutting down walsender
- Multiple fixes for pg_upgrade
- Support building with Visual Studio 2015
- This update also contains tzdata release 2016d, with updates
for Russia, Venezuela, Kirov, and Tomsk.
http://www.postgresql.org/docs/current/static/release-9-5-3.html
- Security and bugfix release 9.5.2: (bnc# 978456)
This release closes security hole CVE-2016-2193, where a query
plan might get reused for more than one ROLE in the same session.
This could cause the wrong set of Row Level Security (RLS)
policies to be used for the query.
The update also fixes CVE-2016-3065, a server crash bug triggered
by using pageinspect with BRIN index pages. Since an attacker
might be able to expose a few bytes of server memory, this crash
is being treated as a security issue.
- Fix two bugs in indexed ROW() comparisons
- Avoid data loss due to renaming files
- Prevent an error in rechecking rows in SELECT FOR UPDATE/SHARE
- Fix bugs in multiple json_ and jsonb_ functions
- Log lock waits for INSERT ON CONFLICT correctly
- Ignore recovery_min_apply_delay until reaching a consistent
state
- Fix issue with pg_subtrans XID wraparound
- Fix assorted bugs in Logical Decoding
- Fix planner error with nested security barrier views
- Prevent memory leak in GIN indexes
- Fix two issues with ispell dictionaries
- Avoid a crash on old Windows versions
- Skip creating an erroneous delete script in pg_upgrade
- Correctly translate empty arrays into PL/Perl
- Make PL/Python cope with identifier names
- changes from 9.5.1 (bnc# 966435 bnc# 966436 bnc# 978323)
This release closes security hole CVE-2016-0773, an issue with
regular expression (regex) parsing. Prior code allowed users to
pass in expressions which included out-of-range Unicode
characters, triggering a backend crash. This issue is critical
for PostgreSQL systems with untrusted users or which generate
regexes based on user input.
The update also fixes CVE-2016-0766, a privilege escalation issue
for users of PL/Java. Certain custom configuration settings
(GUCS) for PL/Java will now be modifiable only by the database
superuser.
In addition to the above, many other issues were patched in this
release based on bugs reported by our users over the last few
months. This includes multiple fixes for new features introduced
in version 9.5.0, as well as refactoring of pg_dump to eliminate
a number of chronic issues with backing up EXTENSIONs. Among them
are:
- Fix many issues in pg_dump with specific object types
- Prevent over-eager pushdown of HAVING clauses for GROUPING SETS
- Fix deparsing error with ON CONFLICT ... WHERE clauses
- Fix tableoid errors for postgres_fdw
- Prevent floating-point exceptions in pgbench
- Make \det search Foreign Table names consistently
- Fix quoting of domain constraint names in pg_dump
- Prevent putting expanded objects into Const nodes
- Allow compile of PL/Java on Windows
- Fix "unresolved symbol" errors in PL/Python execution
- Allow Python2 and Python3 to be used in the same database
- Add support for Python 3.5 in PL/Python
- Fix issue with subdirectory creation during initdb
- Make pg_ctl report status correctly on Windows
- Suppress confusing error when using pg_receivexlog with older
servers
- Multiple documentation corrections and additions
- Fix erroneous hash calculations in gin_extract_jsonb_path()
- This update also contains tzdata release 2016a, with updates
for Cayman Islands, Metlakatla, Trans-Baikal Territory
(Zabaykalsky Krai), and Pakistan.
- changes from 9.5.0
A most-requested feature by application developers for several
years, "UPSERT" is shorthand for "INSERT, ON CONFLICT UPDATE",
allowing new and updated rows to be treated the same. UPSERT
simplifies web and mobile application development by enabling the
database to handle conflicts between concurrent data changes.
This feature also removes the last significant barrier to
migrating legacy MySQL applications to PostgreSQL.
Developed over the last two years by Heroku programmer Peter
Geoghegan, PostgreSQL's implementation of UPSERT is significantly
more flexible and powerful than those offered by other relational
databases. The new ON CONFLICT clause permits ignoring the new
data, or updating different columns or relations in ways which
will support complex ETL (Extract, Transform, Load) toolchains
for bulk data loading. And, like all of PostgreSQL, it is
designed to be absolutely concurrency-safe and to integrate
with all other PostgreSQL features, including Logical
Replication.
PostgreSQL continues to expand database security capabilities
with its new Row Level Security (RLS) feature. RLS implements
true per-row and per-column data access control which integrates
with external label-based security stacks such as SE Linux.
PostgreSQL is already known as "the most secure by default." RLS
cements its position as the best choice for applications with
strong data security requirements, such as compliance with PCI,
the European Data Protection Directive, and healthcare data
protection standards.
RLS is the culmination of five years of security features added
to PostgreSQL, including extensive work by KaiGai Kohei of NEC,
Stephen Frost of Crunchy Data, and Dean Rasheed. Through it,
database administrators can set security "policies" which filter
which rows particular users are allowed to update or view. Data
security implemented this way is resistant to SQL injection
exploits and other application-level security holes.
PostgreSQL 9.5 includes multiple new features for bigger
databases, and for integrating with other Big Data systems. These
features ensure that PostgreSQL continues to have a strong role
in the rapidly growing open source Big Data marketplace. Among
them are:
BRIN Indexing: This new type of index supports creating tiny, but
effective indexes for very large, "naturally ordered" tables. For
example, tables containing logging data with billions of rows
could be indexed and searched in 5% of the time required by
standard BTree indexes.
Faster Sorts: PostgreSQL now sorts text and NUMERIC data faster,
using an algorithm called "abbreviated keys". This makes some
queries which need to sort large amounts of data 2X to 12X
faster, and can speed up index creation by 20X.
CUBE, ROLLUP and GROUPING SETS: These new standard SQL clauses
let users produce reports with multiple levels of summarization
in one query instead of requiring several. CUBE will also enable
tightly integrating PostgreSQL with more Online Analytic
Processing (OLAP) reporting tools such as Tableau.
Foreign Data Wrappers (FDWs): These already allow using
PostgreSQL as a query engine for other Big Data systems such as
Hadoop and Cassandra. Version 9.5 adds IMPORT FOREIGN SCHEMA and
JOIN pushdown making query connections to external databases both
easier to set up and more efficient.
TABLESAMPLE: This SQL clause allows grabbing a quick statistical
sample of huge tables, without the need for expensive sorting.
"The new BRIN index in PostgreSQL 9.5 is a powerful new feature
which enables PostgreSQL to manage and index volumes of data that
were impractical or impossible in the past. It allows scalability
of data and performance beyond what was considered previously
attainable with traditional relational databases and makes
PostgreSQL a perfect solution for Big Data analytics," said Boyan
Botev, Lead Database Administrator, Premier, Inc.
http://www.postgresql.org/about/news/1636/
- For the full release notes, see:
http://www.postgresql.org/docs/9.5/static/release-9-5.html
http://www.postgresql.org/docs/9.5/static/release-9-5-1.html
http://www.postgresql.org/docs/9.5/static/release-9-5-2.html
- refreshed patches to match new release
postgresql-conf.patch
postgresql-plperl-keep-rpath.patch
postgresql-regress.patch
postgresql-testsuite-keep-results-file.patch
postgresql-var-run-socket.patch
- drop postgresql-testsuite-seclabel-location.patch:
the dummy seclabel test is gone
- Security and bugfix release 9.4.7: (bnc# 978456)
This release closes security hole CVE-2016-2193, where a query
plan might get reused for more than one ROLE in the same session.
This could cause the wrong set of Row Level Security (RLS)
policies to be used for the query.
The update also fixes CVE-2016-3065, a server crash bug triggered
by using pageinspect with BRIN index pages. Since an attacker
might be able to expose a few bytes of server memory, this crash
is being treated as a security issue.
- Fix two bugs in indexed ROW() comparisons
- Avoid data loss due to renaming files
- Prevent an error in rechecking rows in SELECT FOR UPDATE/SHARE
- Fix bugs in multiple json_ and jsonb_ functions
- Log lock waits for INSERT ON CONFLICT correctly
- Ignore recovery_min_apply_delay until reaching a consistent
state
- Fix issue with pg_subtrans XID wraparound
- Fix assorted bugs in Logical Decoding
- Fix planner error with nested security barrier views
- Prevent memory leak in GIN indexes
- Fix two issues with ispell dictionaries
- Avoid a crash on old Windows versions
- Skip creating an erroneous delete script in pg_upgrade
- Correctly translate empty arrays into PL/Perl
- Make PL/Python cope with identifier names
- For the full release notes, see:
http://www.postgresql.org/docs/9.4/static/release-9-4-7.html
- Security and bugfix release 9.4.6:
* *** IMPORTANT ***
Users of version 9.4 will need to reindex any jsonb_path_ops
indexes they have created, in order to fix a persistent issue
with missing index entries.
* Fix infinite loops and buffer-overrun problems in regular
expressions (CVE-2016-0773, bsc#966436).
* Fix regular-expression compiler to handle loops of constraint
arcs (CVE-2007-4772).
* Prevent certain PL/Java parameters from being set by
non-superusers (CVE-2016-0766, bsc#966435).
* Fix many issues in pg_dump with specific object types
* Prevent over-eager pushdown of HAVING clauses for
GROUPING SETS
* Fix deparsing error with ON CONFLICT ... WHERE clauses
* Fix tableoid errors for postgres_fdw
* Prevent floating-point exceptions in pgbench
* Make \det search Foreign Table names consistently
* Fix quoting of domain constraint names in pg_dump
* Prevent putting expanded objects into Const nodes
* Allow compile of PL/Java on Windows
* Fix "unresolved symbol" errors in PL/Python execution
* Allow Python2 and Python3 to be used in the same database
* Add support for Python 3.5 in PL/Python
* Fix issue with subdirectory creation during initdb
* Make pg_ctl report status correctly on Windows
* Suppress confusing error when using pg_receivexlog with older
servers
* Multiple documentation corrections and additions
* Fix erroneous hash calculations in gin_extract_jsonb_path()
- For the full release notes, see:
http://www.postgresql.org/docs/9.4/static/release-9-4-6.html
- PL/Perl still needs to be linked with rpath, so that it can find
libperl.so at runtime.
bsc#578053, postgresql-plperl-keep-rpath.patch
- Security and bugfix release 9.4.5:
* CVE-2015-5289, bsc#949670: json or jsonb input values
constructed from arbitrary user input can crash the PostgreSQL
server and cause a denial of service.
* CVE-2015-5288, bsc#949669: The crypt() function included with
the optional pgCrypto extension could be exploited to read a
few additional bytes of memory. No working exploit for this
issue has been developed.
- For the full release notse, see:
http://www.postgresql.org/docs/current/static/release-9-4-5.html
- Move systemd related stuff and user creation to postgresql-init.
- Remove some obsolete %suse_version conditionals
- Adjust build time dependencies.
- Fix some more rpmlint warnings.
- Relax dependency on libpq to major version.
- Make sure that plpgsql.h gets installed, because pldebugger
needs it.
- Move ~postgres/.bash_profile to postgresql-server to avoid a
file conflict between the versioned server packages.
- Bring PostgreSQL 9.4 to SLE12 (fate#319049).
- Switch from ossp-uuid to libuuid from e2fsprogs.
- Re-enable running the test suite during build.
- Bugfix release 9.4.4:
* Fix possible failure to recover from an inconsistent database
state.
* Fix rare failure to invalidate relation cache init file.
* Avoid deadlock between incoming sessions and CREATE/DROP
DATABASE.
* Improve planner's cost estimates for semi-joins and anti-joins
with inner indexscans
- Bugfix release 9.4.3:
* Avoid failures while fsync'ing data directory during crash
restart.
* Fix pg_get_functiondef() to show functions' LEAKPROOF property,
if set.
* Fix pushJsonbValue() to unpack jbvBinary objects.
- Security and bugfix release 9.4.2:
* CVE-2015-3165, bsc#931972: Avoid possible crash when client
disconnects just before the authentication timeout expires.
* CVE-2015-3166, bsc#931973: Consistently check for failure of
the *printf() family of functions.
* CVE-2015-3167, bsc#931974: In contrib/pgcrypto, uniformly
report decryption failures as "Wrong key or corrupt data".
* Protect against wraparound of multixact member IDs.
- For the full release notse, see:
http://www.postgresql.org/docs/9.4/static/release-9-4-2.html
http://www.postgresql.org/docs/9.4/static/release-9-4-3.html
http://www.postgresql.org/docs/9.4/static/release-9-4-4.html
- Align spec file with 9.3 package.
- Require systemd only where available and only for the main
package.
- bnc#888564: Move the server socket from /tmp to /var/run to avoid
problems with clients that use PrivateTmp.
postgresql-var-run-socket.patch
- Switch over to 9.4 by building the libs package and disable it
on 9.3.
- Remove obsolete patches:
* postgresql-sle10-timestamptz.patch
* postgresql-plperl.patch
- majorversion should only be 9.4
- Update to 9.4.1
* Fix buffer overruns in to_char()
* Fix buffer overrun in replacement *printf() functions
* Fix buffer overruns in contrib/pgcrypto
* Fix possible loss of frontend/backend protocol synchronization
after an error
* Fix information leak via constraint-violation error messages
* Lock down regression testing's temporary installations on Windows
* Cope with the Windows locale named "Norwegian (Bokmål)"
* Fix use-of-already-freed-memory problem in EvalPlanQual processing
* Avoid possible deadlock while trying to acquire tuple locks in
EvalPlanQual processing
* Improve performance of EXPLAIN with large range tables
* Fix jsonb Unicode escape processing, and in consequence disallow
\u0000
* Fix namespace handling in xpath()
* Fix assorted oversights in range-operator selectivity estimation
* Revert unintended reduction in maximum size of a GIN index item
* Fix query-duration memory leak during repeated GIN index rescans
* Fix possible crash when using nonzero gin_fuzzy_search_limit
* Assorted fixes for logical decoding
* Fix incorrect replay of WAL parameter change records that report
changes in the wal_log_hints setting
* Change "pgstat wait timeout" warning message to be LOG level, and
rephrase it to be more understandable
* Warn if OS X's setlocale() starts an unwanted extra thread inside
the postmaster
* Fix libpq's behavior when /etc/passwd isn't readable
* Improve consistency of parsing of psql's special variables
* Fix pg_dump to handle comments on event triggers without failing
* Allow parallel pg_dump to use --serializable-deferrable
* Prevent WAL files created by pg_basebackup -x/-X from being
archived again when the standby is promoted
* Handle unexpected query results, especially NULLs, safely in
contrib/tablefunc's connectby()
* Numerous cleanups of warnings from Coverity static code analyzer
* Allow CFLAGS from configure's environment to override
automatically-supplied CFLAGS
* Make pg_regress remove any temporary installation it created
upon successful exit
* Add CST (China Standard Time) to our lists of timezone abbreviations
* Update time zone data files to tzdata release 2015a for DST law
changes in Chile and Mexico, plus historical changes in Iceland.
- removed %pgbasedir from contrib and server package
- Update to 9.4.0
Major enhancements in PostgreSQL 9.4 include:
* Add jsonb, a more capable and efficient data type for storing JSON data
* Add new SQL command ALTER SYSTEM for changing postgresql.conf configuration
file entries
* Reduce lock strength for some ALTER TABLE commands
* Allow materialized views to be refreshed without blocking concurrent reads
* Add support for logical decoding of WAL data, to allow database changes to
be streamed out in a customizable format
* Allow background worker processes to be dynamically registered, started and
terminated
* See release notes for a full list of changes:
http://www.postgresql.org/docs/9.4/static/release-9-4.html
- Update to 9.3.4
* Fix WAL replay of locking an already-updated tuple
* Restore GIN metapages unconditionally to avoid torn-page risk
* Avoid race condition in checking transaction commit status during
receipt of a NOTIFY message
* Allow materialized views to be referenced in UPDATE and DELETE
commands
* Allow regular-expression operators to be terminated early by query
cancel requests
* Remove incorrect code that tried to allow OVERLAPS with
single-element row arguments
* Avoid getting more than AccessShareLock when de-parsing a rule
or view
* Improve performance of index endpoint probes during planning
* Use non-default selectivity estimates for value IN (list) and
value operator ANY (array) expressions when the righthand side
is a stable expression
* Remove the correct per-database statistics file during DROP DATABASE
* Fix walsender ping logic to avoid inappropriate disconnects under
continuous load
* Fix walsender's failure to shut down cleanly when client is pg_receivexlog
* See release notes for a full list of changes:
http://www.postgresql.org/docs/9.3/static/release-9-3-4.html
/usr/share/doc/packages/postgresql93/HISTORY
- make postgresql-init a buildrequire. requires(pre) are used during
build, but do not cause a rebuild trigger. But to make the depencency
visible for bootstrapping, mark it as real buildrequire
- Security and bugfix release 9.3.3:
* Shore up GRANT ... WITH ADMIN OPTION restrictions
(CVE-2014-0060, bnc#864845)
* Prevent privilege escalation via manual calls to PL validator
functions (CVE-2014-0061, bnc#864846)
* Avoid multiple name lookups during table and index DDL
(CVE-2014-0062, bnc#864847)
* Prevent buffer overrun with long datetime strings
(CVE-2014-0063, bnc#864850)
* Prevent buffer overrun due to integer overflow in size
calculations (CVE-2014-0064, bnc#864851)
* Prevent overruns of fixed-size buffers (CVE-2014-0065,
bnc#864852)
* Avoid crashing if crypt() returns NULL (CVE-2014-0066,
bnc#864853)
* Document risks of make check in the regression testing
instructions (CVE-2014-0067)
* Rework tuple freezing protocol. The logic for tuple freezing
was unable to handle some cases involving freezing of
multixact IDs, with the practical effect that shared row-level
locks might be forgotten once old enough. Fixing this required
changing the WAL record format for tuple freezing. While this
is no issue for standalone servers, when using replication it
means that STANDBY SERVERS MUST BE UPGRADED TO 9.3.3 OR LATER
BEFORE THEIR MASTERS ARE.
* For the other (many!) bug fixes, see the release notes:
http://www.postgresql.org/docs/9.3/static/release-9-3-3.html
- remove postgresql-tas-aarch64.patch: Fix build for aarch64
- Fix handling of alternatives in the file lists.
- Update to version 9.3.2:
* Fix VACUUM's tests to see whether it can update relfrozenxid
* Fix multiple bugs in MultiXactId freezing
* Fix initialization of pg_clog and og_subtrans during hot
standby startup
* Fix multiple bugs in update chain traversal
* Fix dangling-pointer problem in fast-path locking
* Fix assorted race conditions in timeout management
* Prevent intra-transaction memory leak when printing range
values
* Truncate pg_multixact contents during WAL replay
* Ensure an anti-wraparound VACUUM counts a page as scanned when
it's only verified that no tuples need freezing
* Fix full-table-vacuum request mechanism for MultiXactIds
* Fix race condition in GIN index posting tree page deletion
* Avoid flattening a subquery whose SELECT list contains a
volatile function wrapped inside a sub-SELECT
* See release notes for a full list of changes:
http://www.postgresql.org/docs/9.3/static/release-9-3-2.html
/usr/share/doc/packages/postgresql93/HISTORY
- Added option to build postgresql-devel package separatly from
postresql-libs
- Update to version 9.3.1:
* Update hstore extension with JSON functionality
* Fix memory leak when creating range indexes
* Serializable snapshot fixes
* Fix libpq SSL deadlock bug
* Fix timeline handling bugs in pg_receivexlog
* Prevent CREATE FUNCTION from checking SET variables unless
function body checking is enabled
* Remove rare inaccurate warning during vacuum of index-less tables
- Added patch to build testsuite package (bnc#829952)
- Re-enable running the regression tests during build.
- The test suite needs the timezone package.
- Updated to version 9.3:
* Add materialized views
* Make simple views auto-updatable
* Many JSON improvements, including the addition of operators
and functions to extract values from JSON data strings
* Implement SQL-standard LATERAL option for FROM-clause
subqueries and function calls
* Allow foreign data wrappers to support writes
(insers/updates/deletes) on foreign tables
* Add a Postgres foreign data wrapper contrib module
* Add support for event triggers
* Add optional ability to checksum data pages and report
corruption
* Allow a streaming replication standby to follow a timeline
switch, and faster failover
* Dramatically reduce System V shared memory requirements
* Prevent non-key-field row updates from locking foreign key
rows
* Add command-line utility pg_isready
* Add pg_xlogdump contrib program
* See release notes for a full list of changes:
http://www.postgresql.org/docs/9.3/static/release-9-3.html
/usr/share/doc/packages/postgresql93/HISTORY
- postgresql-tas-aarch64.patch: Implement TAS for aarch64
- Add Source URL, see https://en.opensuse.org/SourceUrls
- Updated to version 9.2.4 (bnc#812525):
* CVE-2013-1899: Fix insecure parsing of server command-line
switches. A connection request containing a database name that
begins with "-" could be crafted to damage or destroy files
within the server's data directory, even if the request is
eventually rejected.
* CVE-2013-1900: Reset OpenSSL randomness state in each
postmaster child process. This avoids a scenario wherein
random numbers generated by "contrib/pgcrypto" functions might
be relatively easy for another database user to guess. The
risk is only significant when the postmaster is configured
with ssl = on but most connections don't use SSL encryption.
* CVE-2013-1901: Make REPLICATION privilege checks test current
user not authenticated user. An unprivileged database user
could exploit this mistake to call pg_start_backup() or
pg_stop_backup(), thus possibly interfering with creation of
routine backups.
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.2/static/release-9-2-4.html
/usr/share/doc/packages/postgresql92/HISTORY
- Version 9.2.3 also fixes bnc#802679, CVE-2013-0255.
- Remove postgresql92-full.spec.in and use postgresql92.spec as the
master for generating postgresql92-libs.spec.
- Updated to version 9.2.3
* Prevent execution of enum_recv from SQL (Tom Lane)
* Fix multiple problems in detection of when a consistent database
state has been reached during WAL replay
* Fix detection of end-of-backup point when no actual redo
work is required
* Update minimum recovery point when truncating a relation file
* Fix recycling of WAL segments after changing recovery target
timeline
* Properly restore timeline history files from archive on
cascading standby servers
* Fix lock conflict detection on hot-standby servers
* Fix missing cancellations in hot standby mode
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.2/static/release-9-2-3.html
/usr/share/doc/packages/postgresql/HISTORY
- Use PDX license string.
- Conflicts tags don't support the != operator.
- Updated to version 9.2.2
* Fix multiple bugs associated with
CREATE/DROP INDEX CONCURRENTLY
* Correct predicate locking for DROP INDEX CONCURRENTLY
* Fix buffer locking during WAL replay
* Fix an error in WAL generation logic for GIN indexes
* Fix an error in WAL replay logic for SP-GiST indexes
* Fix incorrect detection of end-of-base-backup location
during WAL recovery
* Properly remove startup process's virtual XID lock when
promoting a hot standby server to normal running
* Avoid bogus "out-of-sequence timeline ID" errors in standby
mode
* Prevent the postmaster from launching new child processes after
it's received a shutdown signal
* Fix the syslogger process to not fail when log_rotation_age
exceeds 2^31 milliseconds
* Fix WaitLatch() to return promptly when the requested timeout
expires
* Avoid corruption of internal hash tables when out of memory
* Prevent file descriptors for dropped tables from being held
open past transaction end
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.2/static/release-9-2-2.html
/usr/share/doc/packages/postgresql/HISTORY
- Change mechanism for making postgresql??-devel exclusive
(bnc#789562).
- Resolve "have choice for libpq.so.5" by ignoring postgresql-libs.
- Get the new packaging scheme over to the postgresql92 packages
and make 9.2 the new default version.
- Bugfix release 9.1.6 (bnc#782251) to fix data corruption issues.
* Users who upgrade from a previous 9.1 release should run
REINDEX after applying this update.
See also: http://wiki.postgresql.org/wiki/20120924updaterelease
* For the full list of changes, see
http://www.postgresql.org/docs/9.1/static/release.html
- Change the base name of all PostgreSQL packages from postgresql
to postgresql91 and adopt the new packaging schema, which allows
the parallel installation of multiple PostgreSQL versions to
simplify and speedup migration.
- Move init script, sysconfig file and firewall configuration into
a new package called postgresql-init which can work with
different PostgreSQL versions.
- Security and bugfix release 9.1.5:
* Ignore SECURITY DEFINER and SET attributes for a procedural
language's call handler (CVE-2012-2655)
* Fix incorrect password transformation in "contrib/pgcrypto"'s DES
crypt() function (CVE-2012-2143)
* Prevent access to external files/URLs via "contrib/xml2"'s
xslt_process() (CVE-2012-3488)
* Prevent access to external files/URLs via XML entity references
(CVE-2012-3489)
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.1/static/release.html
/usr/share/doc/packages/postgresql/HISTORY
- Security and bugfix release 9.1.3:
* Require execute permission on the trigger function for "CREATE
TRIGGER" (CVE-2012-0866, bnc#749299).
* Remove arbitrary limitation on length of common name in SSL
certificates (CVE-2012-0867, bnc#749301).
* Convert newlines to spaces in names written in pg_dump
comments (CVE-2012-0868, bnc#749303).
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.1/static/release.html
/usr/share/doc/packages/postgresql/HISTORY
- This also fixes bnc#701489.
- New version 9.1.1. For detailed release notes, see:
http://www.postgresql.org/docs/9.1/static/release-9-1-1.html
- Stop using deprecated silent_mode in default config.
- postgresql-perl514.patch is no longer needed.
- Use %_smp_mflags for parallel make
- Keep the rpath when linking plperl [bnc#578053].
- Add postgresql-devel to baselibs
- Revert the postgresql-libs package split for SLE in preparation
of submitting the package to SLE11-SP1.
- Fix file name of last added patch and remove overlong comment.
- Add postgresql-9.0.4-perl514.patch: For Perl 5.14 GvCV(sv) is no
longer an lvalue and needs to be replaced by GvCV_set(sv, value)
- Bugfix release: 9.0.4:
* This update contains a critical fix to the pg_upgrade utility
which prevents significant downtime issues. Do not use
pg_upgrade without installing this update first.
http://wiki.postgresql.org/wiki/20110408pg_upgrade_fix
* change SQLSTATE for Hot Standby warnings
* prevent bgwriter hang during recovery
* prevent recursive composite type creation
* disallow dropping tables whose triggers are still pending
* allow use of "replication" as a user name
* prevent a crash during GEQO planning
* improve join plans for tables with missing statistics
* fix error with SELECT FOR UPDATE in a subselect
* close PL/python array slice memory leak
* allow SSL connections for users with no home directory
- http://www.postgresql.org/docs/9.0/static/release-9-0-4.html
- enabled --with-ossp-uuid
- Fix the fix of the fix for the successors of postgresql-libs.
- provide postgresql-libs in the specfile that actually builds
the libs package
- fix update of libs
- Move all of pgxs into the devel package to fix build of server
extensions.
- Move pg_config from -server to -devel to fix build of certain
client apps and language bindings, but using pg_config on the
client side is still considered broken, because it tells what
got linked into the server binary not what got linked into libpq.
- Remove unneeded PreReq from postgresql on postgresql-libs.
- New version: 9.0.3. For the complete release notes, see
http://www.postgresql.org/docs/9.0/static/release.html
- Build libs and devel separate from the main package.
- Build the PL subpackages as part of the main package.
- Have separate packages for libpq and libecpg.
- Generate the main and lib spec files from postgresql.spec.in.
- Fix LSB conformance of the init script (bnc#658014).
- Security and bugfix release 8.4.5 (bnc#643771):
* Use a separate interpreter for each calling SQL userid in
PL/Perl and PL/Tcl (CVE-2010-3433).
* Prevent possible crashes in pg_get_expr() by disallowing it
from being called with an argument that is not one of the
system catalog columns it's intended to be used with.
* Fix incorrect placement of placeholder evaluation.
* Fix possible duplicate scans of UNION ALL member relations.
* Fix "cannot handle unplanned sub-select" error.
* Fix mishandling of whole-row Vars that reference a view or
sub-select and appear within a nested sub-select.
* Fix mishandling of cross-type IN comparisons.
* Fix computation of ANALYZE statistics for tsvector columns.
* Improve planner's estimate of memory used by array_agg(),
string_agg(), and similar aggregate functions.
* Fix failure to mark cached plans as transient.
* Reduce PANIC to ERROR in some occasionally-reported btree
failure cases, and provide additional detail in the resulting
error messages.
* Fix incorrect search logic for partial-match queries with GIN
indexes.
* Prevent show_session_authorization() from crashing within
autovacuum processes.
* Defend against functions returning setof record where not all
the returned rows are actually of the same rowtype.
* Fix possible corruption of pending trigger event lists during
subtransaction rollback.
* Fix possible failure when hashing a pass-by-reference function
result.
* Improve merge join's handling of NULLs in the join columns.
* Take care to fsync the contents of lockfiles (both
postmaster.pid and the socket lockfile) while writing them.
* Avoid recursion while assigning XIDs to heavily-nested
subtransactions.
* Avoid holding open old WAL segments in the walwriter process.
* Fix log_line_prefix's %i escape, which could produce junk
early in backend startup.
* Prevent misinterpretation of partially-specified relation
options for TOAST tables.
* Fix inheritance count tracking in ALTER TABLE ... ADD
CONSTRAINT.
* Fix possible data corruption in ALTER TABLE ... SET TABLESPACE
when archiving is enabled.
* Allow CREATE DATABASE and ALTER DATABASE ... SET TABLESPACE to
be interrupted by query-cancel.
* Improve CREATE INDEX's checking of whether proposed index
expressions are immutable.
* Fix REASSIGN OWNED to handle operator classes and families.
* Fix possible core dump when comparing two empty tsquery values.
* Fix LIKE's handling of patterns containing % followed by _
* Re-allow input of Julian dates prior to 0001-01-01 AD.
* Fix PL/pgSQL to throw an error, not crash, if a cursor is
closed within a FOR loop that is iterating over that cursor.
* In PL/Python, defend against null pointer results from
PyCObject_AsVoidPtr and PyCObject_FromVoidPtr
* In libpq, fix full SSL certificate verification for the case
where both host and hostaddr are specified.
* Make psql recognize DISCARD ALL as a command that should not
be encased in a transaction block in autocommit-off mode.
* Fix some issues in pg_dump's handling of SQL/MED objects.
* Improve pg_dump and pg_restore's handling of non-seekable
archive files. This is important for proper functioning of
parallel restore.
* Improve parallel pg_restore's ability to cope with selective
restore (-L option).
* Fix ecpg to process data from RETURNING clauses correctly.
* Fix some memory leaks in ecpg.
* Improve contrib/dblink's handling of tables containing dropped
columns.
* Fix connection leak after "duplicate connection name" errors
in contrib/dblink.
* Fix contrib/dblink to handle connection names longer than 62
bytes correctly.
* Add hstore(text, text) function to contrib/hstore.
- Security and bugfix release 8.4.4:
* Enforce restrictions in plperl using an opmask applied to the
whole interpreter, instead of using Safe.pm. Recent
developments have convinced us that Safe.pm is too insecure to
rely on for making plperl trustable. This change removes use of
Safe.pm altogether, in favor of using a separate interpreter
with an opcode mask that is always applied. Pleasant side
effects of the change include that it is now possible to use
Perl's strict pragma in a natural way in plperl, and that
Perl's $a and $b variables work as expected in sort routines,
and that function compilation is significantly
faster. (CVE-2010-1169)
* Prevent PL/Tcl from executing untrustworthy code from
pltcl_modules. PL/Tcl's feature for autoloading Tcl code from
a database table could be exploited for trojan-horse attacks,
because there was no restriction on who could create or insert
into that table. This change disables the feature unless
pltcl_modules is owned by a superuser. (However, the
permissions on the table are not checked, so installations that
really need a less-than-secure modules table can still grant
suitable privileges to trusted non-superusers.) Also, prevent
loading code into the unrestricted "normal" Tcl interpreter
unless we are really going to execute a pltclu
function. (CVE-2010-1170)
* Fix data corruption during WAL replay of ALTER ... SET
TABLESPACE. When archive_mode is on, ALTER ... SET TABLESPACE
generates a WAL record whose replay logic was incorrect. It
could write the data to the wrong place, leading to
possibly-unrecoverable data corruption. Data corruption would
be observed on standby slaves, and could occur on the master as
well if a database crash and recovery occurred after committing
the ALTER and before the next checkpoint.
* Fix possible crash if a cache reset message is received during
rebuild of a relcache entry. This error was introduced in 8.4.3
while fixing a related failure.
* Apply per-function GUC settings while running the language
validator for the function.
* This avoids failures if the function's code is invalid without
the setting; an example is that SQL functions may not parse if
the search_path is not correct.
* Do constraint exclusion for inherited UPDATE and DELETE target
tables when constraint_exclusion = partition. Due to an
oversight, this setting previously only caused constraint
exclusion to be checked in SELECT commands.
* Do not allow an unprivileged user to reset superuser-only
parameter settings. Previously, if an unprivileged user ran
ALTER USER ... RESET ALL for himself, or ALTER DATABASE
... RESET ALL for a database he owns, this would remove all
special parameter settings for the user or database, even ones
that are only supposed to be changeable by a superuser. Now,
the ALTER will only remove the parameters that the user has
permission to change.
* Avoid possible crash during backend shutdown if shutdown occurs
when a CONTEXT addition would be made to log entries. In some
cases the context-printing function would fail because the
current transaction had already been rolled back when it came
time to print a log message.
* Fix erroneous handling of %r parameter in recovery_end_command.
The value always came out zero.
* Ensure the archiver process responds to changes in
archive_command as soon as possible.
* Fix pl/pgsql's CASE statement to not fail when the case
expression is a query that returns no rows.
* Update pl/perl's ppport.h for modern Perl versions.
* Fix assorted memory leaks in pl/python.
* Handle empty-string connect parameters properly in ecpg.
* Prevent infinite recursion in psql when expanding a variable
that refers to itself.
* Fix psql's \copy to not add spaces around a dot within \copy
(select ...). Addition of spaces around the decimal point in a
numeric literal would result in a syntax error.
* Avoid formatting failure in psql when running in a locale
context that doesn't match the client_encoding.
* Fix unnecessary "GIN indexes do not support whole-index scans"
errors for unsatisfiable queries using contrib/intarray
operators.
* Ensure that contrib/pgstattuple functions respond to cancel
interrupts promptly.
* Make server startup deal properly with the case that shmget()
returns EINVAL for an existing shared memory segment.
This behavior has been observed on BSD-derived kernels
including OS X. It resulted in an entirely-misleading startup
failure complaining that the shared memory request size was too
large.
- Use %configure to pick up the default directories (bnc#600616).
- Security and bugfix release 8.4.3.
- Disable GSSAPI, XML, kerberos and make check in OBS for SLES9.
- Fix build for SLES9
- Fix package descriptions.
- Security and bugfix release 8.4.2:
* CVE-2009-4136: Protect against indirect security threats
caused by index functions changing session-local state. This
change prevents allegedly-immutable index functions from
possibly subverting a superuser's session.
* CVE-2009-4034: Reject SSL certificates containing an embedded
null byte in the common name (CN) field. This prevents
unintended matching of a certificate to a server or client
name during SSL validation.
* Fix hash index corruption. The 8.4 change that made hash
indexes keep entries sorted by hash value failed to update the
bucket splitting and compaction routines to preserve the
ordering. So application of either of those operations could
lead to permanent corruption of an index, in the sense that
searches might fail to find entries that are present. To deal
with this, it is recommended to REINDEX any hash indexes you
may have after installing this update.
* Fix possible crash during backend-startup-time cache
initialization
* Avoid crash on empty thesaurus dictionary
* Prevent signals from interrupting VACUUM at unsafe times. This
fix prevents a PANIC if a VACUUM FULL is cancelled after it's
already committed its tuple movements, as well as transient
errors if a plain VACUUM is interrupted after having truncated
the table.
* Fix possible crash due to integer overflow in hash table size
calculation. This could occur with extremely large planner
estimates for the size of a hashjoin's result.
* Fix crash if a DROP is attempted on an internally-dependent
object.
* Fix very rare crash in inet/cidr comparisons.
* Ensure that shared tuple-level locks held by prepared
transactions are not ignored.
* Fix premature drop of temporary files used for a cursor that is
accessed within a subtransaction.
* Fix memory leak in syslogger process when rotating to a new CSV
logfile.
* Fix memory leak in postmaster when re-parsing "pg_hba.conf".
* Make FOR UPDATE/SHARE in the primary query not propagate into
WITH queries.
* Fix bug with a WITH RECURSIVE query immediately inside another
one.
* Fix concurrency bug in hash indexes. Concurrent insertions
could cause index scans to transiently report wrong results.
* Fix incorrect logic for GiST index page splits, when the split
depends on a non-first column of the index.
* Fix wrong search results for a multi-column GIN index with
fastupdate enabled.
* Fix bugs in WAL entry creation for GIN indexes. These bugs were
masked when full_page_writes was on, but with it off a WAL
replay failure was certain if a crash occurred before the next
checkpoint.
* Don't error out if recycling or removing an old WAL file fails
at the end of checkpoint. It's better to treat the problem as
non-fatal and allow the checkpoint to complete. Future
checkpoints will retry the removal. Such problems are not
expected in normal operation, but have been seen to be caused
by misdesigned Windows anti-virus and backup software.
* Ensure WAL files aren't repeatedly archived on Windows. This is
another symptom that could happen if some other process
interfered with deletion of a no-longer-needed file.
* Fix PAM password processing to be more robust. The previous
code is known to fail with the combination of the Linux
pam_krb5 PAM module with Microsoft Active Directory as the
domain controller. It might have problems elsewhere too, since
it was making unjustified assumptions about what arguments the
PAM stack would pass to it.
* Raise the maximum authentication token (Kerberos ticket) size
in GSSAPI and SSPI authentication methods. While the old
2000-byte limit was more than enough for Unix Kerberos
implementations, tickets issued by Windows Domain Controllers
can be much larger.
* Ensure that domain constraints are enforced in constructs like
ARRAY[...]::domain, where the domain is over an array type.
* Fix foreign-key logic for some cases involving composite-type
columns as foreign keys.
* Ensure that a cursor's snapshot is not modified after it is
created. This could lead to a cursor delivering wrong results
if later operations in the same transaction modify the data the
cursor is supposed to return.
* Fix CREATE TABLE to properly merge default expressions coming
from different inheritance parent tables. This used to work but
was broken in 8.4.
* Re-enable collection of access statistics for sequences. This
used to work but was broken in 8.3.
* Fix processing of ownership dependencies during CREATE OR REPLACE
FUNCTION.
* Fix incorrect handling of WHERE "x"="x" conditions. In some cases
these could get ignored as redundant, but they aren't -- they're
equivalent to "x" IS NOT NULL.
* Fix incorrect plan construction when using hash aggregation to
implement DISTINCT for textually identical volatile
expressions.
* Fix Assert failure for a volatile SELECT DISTINCT ON expression.
* Fix ts_stat() to not fail on an empty tsvector value.
* Make text search parser accept underscores in XML attributes.
* Fix encoding handling in xml binary input. If the XML header
doesn't specify an encoding, we now assume UTF-8 by default;
the previous handling was inconsistent.
* Fix bug with calling plperl from plperlu or vice versa. An
error exit from the inner function could result in crashes due
to failure to re-select the correct Perl interpreter for the
outer function.
* Fix session-lifespan memory leak when a PL/Perl function is
redefined.
* Ensure that Perl arrays are properly converted to PostgreSQL
arrays when returned by a set-returning PL/Perl function. This
worked correctly already for non-set-returning functions.
* Fix rare crash in exception processing in PL/Python.
* Fix ecpg problem with comments in DECLARE CURSOR statements.
* Fix ecpg to not treat recently-added keywords as reserved
words. This affected the keywords CALLED, CATALOG, DEFINER,
ENUM, FOLLOWING, INVOKER, OPTIONS, PARTITION, PRECEDING, RANGE,
SECURITY, SERVER, UNBOUNDED, and WRAPPER.
* Re-allow regular expression special characters in psql's \df
function name parameter.
* In "contrib/pg_standby", disable triggering failover with a
signal on Windows. This never did anything useful, because
Windows doesn't have Unix-style signals, but recent changes
made it actually crash.
* Put FREEZE and VERBOSE options in the right order in the VACUUM
command that "contrib/vacuumdb" produces.
* Fix possible leak of connections when "contrib/dblink"
encounters an error.
* Ensure psql's flex module is compiled with the correct system
header definitions. This fixes build failures on platforms
where --enable-largefile causes incompatible changes in the
generated code.
* Make the postmaster ignore any application_name parameter in
connection request packets, to improve compatibility with
future libpq versions.
* Update the timezone abbreviation files to match current reality
This includes adding IDT to the default timezone abbreviation
set.
- package documentation as noarch
- add baselibs.conf as a source
- use find_lang to package language files correctly
- Security and bugfix release 8.4.1:
* Fix WAL page header initialization at the end of archive
recovery. This could lead to failure to process the WAL in a
subsequent archive recovery.
* Fix "cannot make new WAL entries during recovery" error.
* Fix problem that could make expired rows visible after a crash.
This bug involved a page status bit potentially not being set
correctly after a server crash.
* Disallow RESET ROLE and RESET SESSION AUTHORIZATION inside
security-definer functions. This covers a case that was missed
in the previous patch that disallowed SET ROLE and SET SESSION
AUTHORIZATION inside security-definer functions.
(See CVE-2007-6600)
* Make LOAD of an already-loaded loadable module into a no-op.
* Formerly, LOAD would attempt to unload and re-load the module,
but this is unsafe and not all that useful.
* Make window function PARTITION BY and ORDER BY items always be
interpreted as simple expressions. In 8.4.0 these lists were
parsed following the rules used for top-level GROUP BY and
ORDER BY lists. But this was not correct per the SQL standard,
and it led to possible circularity.
* Fix several errors in planning of semi-joins. These led to
wrong query results in some cases where IN or EXISTS was used
together with another join.
* Fix handling of whole-row references to subqueries that are
within an outer join. An example is SELECT COUNT(ss.*) FROM
... LEFT JOIN (SELECT ...) ss ON .... Here, ss.* would be
treated as ROW(NULL,NULL,...) for null-extended join rows,
which is not the same as a simple NULL. Now it is treated as a
simple NULL.
* Fix Windows shared-memory allocation code. This bug led to the
often-reported "could not reattach to shared memory" error
message.
* Fix locale handling with plperl.
This bug could cause the server's locale setting to change when
a plperl function is called, leading to data corruption.
* Fix handling of reloptions to ensure setting one option doesn't
force default values for others.
* Ensure that a "fast shutdown" request will forcibly terminate
open sessions, even if a "smart shutdown" was already in
progress.
* Avoid memory leak for array_agg() in GROUP BY queries.
* Treat to_char(..., 'TH') as an uppercase ordinal suffix with
'HH'/'HH12'. It was previously handled as 'th' (lowercase).
* Include the fractional part in the result of EXTRACT(second)
and EXTRACT(milliseconds) for time and time with time zone
inputs.
This has always worked for floating-point datetime
configurations, but was broken in the integer datetime code.
* Fix overflow for INTERVAL 'x ms' when x is more than 2 million
and integer datetimes are in use.
* Improve performance when processing toasted values in index
scans. This is particularly useful for PostGIS.
* Fix a typo that disabled commit_delay.
* Output early-startup messages to postmaster.log if the server
is started in silent mode. Previously such error messages were
discarded, leading to difficulty in debugging.
* Remove translated FAQs. They are now on the wiki. The main FAQ
was moved to the wiki some time ago.
* Fix pg_ctl to not go into an infinite loop if postgresql.conf
is empty.
* Fix several errors in pg_dump's --binary-upgrade mode.
* pg_dump --binary-upgrade is used by pg_migrator.
* Fix contrib/xml2's xslt_process() to properly handle the
maximum number of parameters (twenty).
* Improve robustness of libpq's code to recover from errors
during COPY FROM STDIN.
* Avoid including conflicting readline and editline header files
when both libraries are installed.
* Work around gcc bug that causes "floating-point exception"
instead of "division by zero" on some platforms.
- postgresql-8.4.0-sle10-timestamptz.patch added, and applied
_only_ on SLE10. It fixes a build failure due to a test case that
seems to be confused by daylight saving time in the time zone
that the test expects its result (PDT vs. PST). Since this
failure happened only on SLE10, I assume that the test case isn't
broken, and some peculiarity on that (rather old now) platform is
to blame (possibly too old timezone files). Also, the testcase is
checking correctness when converting timezones > 32 bit, which
actually seems to work.
- replace "ident sameuser" with "ident" as auth method for the
initdb call in the init script, because the former doesn't work
with PostgreSQL 8.4. With the generated pg_hba.conf, PostgreSQL
failed to start. Added note to the upgrade READMEs. [bnc#522375]
- New major release: 8.4.0
- Improvements include:
* Windowing Functions
* Common Table Expressions and Recursive Queries
* Default and variadic parameters for functions
* Parallel Restore
* Column Permissions
* Per-database locale settings
* Improved hash indexes
* Improved join performance for EXISTS and NOT EXISTS queries
* Easier-to-use Warm Standby
* Automatic sizing of the Free Space Map
* Visibility Map (greatly reduces vacuum overhead for
slowly-changing tables)
* Version-aware psql (backslash commands work against older
servers)
* Support SSL certificates for user authentication
* Per-function runtime statistics
* Easy editing of functions in psql
* New contrib modules: pg_stat_statements, auto_explain, citext,
btree_gin
- Remove dependency on local posixrules from horology test.
- Security release 8.3.7
* Fixes a vulnerability that allowed remote authenticated
users to cause a denial of service (stack consumption)
via mismatched encoding conversion requests.
* Details of the other bugfixes contained in this and
previous releases can be found here:
http://www.postgresql.org/docs/8.3/static/release.html
/usr/share/doc/packages/postgresql/HISTORY
- Users of GiST indexes should "REINDEX" them after installing
this update.
- Re-added libpgport.a to the devel package, as some apps require
it, although it is meant to be internal to the PostgreSQL
backend.
- Fix removal of leftover files on database startup (bnc#473644).

==== publicsuffix ====
Version update (20161128 -> 20161211)

- Update to version 20161211:
* Remove volgograd.ru from Public Suffix List (#340)
* Add user.party.eus to PRIVATE section (#348)
* Adding wildcard for *.s3.amazonaws.com, ca-central-1 AWS region and
changing Amazon contact info (#351)
* Added on-web.fr (Planet-Work shared hosting) (#349)
* Added .ni as a valid user registerable domain. (#336)
* Sort .NI

==== python-cryptography ====
Version update (1.6 -> 1.7.1)

- update to 1.7.1 which contains regression fix for 1.7
- update to 1.7
* support for OpenSSL 1.0.0 has been removed.
* Added support for Diffie-Hellman key exchange
* The OS random engine for OpenSSL has been rewritten

==== python3-setuptools ====
Version update (30.3.0 -> 31.0.0)

- update to version 31.0.0:
* #250: Install '-nspkg.pth' files for packages installed with
'setup.py develop'. These .pth files allow namespace packages
installed by pip or develop to co-mingle. This change required
the removal of the change for #805 and pip #1924, introduced in
28.3.0 and implicated in #870, but means that namespace packages
not in a site packages directory will no longer work on Python
earlier than 3.5, whereas before they would work on Python not
earlier than 3.3.
- update to version 30.4.0:
* #879: For declarative config:
+ read_configuration() now accepts ignore_option_errors
argument. This allows scraping tools to read metadata without a
need to download entire packages. E.g. we can gather some stats
right from GitHub repos just by downloading setup.cfg.
+ packages find: directive now supports fine tuning from a
subsection. The same arguments as for find() are accepted.

==== shotwell ====
Version update (0.24.1 -> 0.24.3)
Subpackages: shotwell-lang

- Update to version 0.24.3:
+ Fix issue with unique constraint on Photo database table
(bgo#772223).
+ Updated translations.
- Changes from version 0.24.2:
+ Blacklist vaapi decoder to prevent crash when discovering
videos in parallel.
+ Remove paranthesis that will break newer vala compiler.
+ Fix a double close() in thumbnailer.
+ Only enable SQL debugging if the variable is really set.
+ Bugs fixed: bgo#762416, bgo#774057.

==== spice-gtk ====
Subpackages: libspice-client-glib-2_0-8 libspice-client-glib-helper
libspice-client-gtk-3_0-5 libspice-controller0 typelib-1_0-SpiceClientGlib-2_0
typelib-1_0-SpiceClientGtk-3_0

- Better check for lz4.
48da2c66-fix-lz4-deps.patch

==== star ====
Subpackages: spax

- add star-1.5.3-xattr_security-capability.patch - Linux xattrs are
now set after chown() as Linux resets xattrs with a chown() call
[bsc#1014065]

==== strace ====
Version update (4.14 -> 4.15)

- Update to strace 4.15
* Changes in behavior
* Time stamps are now printed according to ISO 8601.
* Changed output format of val3 parameter of futex FUTEX_WAKE_OP operation.
* The last argument of mincore, sched_getaffinity, and sched_setaffinity
syscalls is now formatted as an array.
* Improvements
* Implemented syscall fault injection (-e fault=... option).
* Implemented decoding of DM_* ioctl commands.
* Implemented decoding of attr parameter of perf_event_open syscall.
* Implemented decoding of pkey_alloc, pkey_free, and pkey_mprotect syscalls.
* Implemented dumping of mq_timedsend and mq_timedreceive syscalls.
* Implemented decoding of PR_SET_FP_MODE and PR_GET_FP_MODE operations
of prctl syscall.
* Implemented PTRACE_GETREGS API support on m68k.
* Updated lists of ARCH_*, BPF_*, BTRFS_*, FALLOC_*, MS_*, *_MAGIC,
and V4L2_* constants.
* Updated lists of ioctl commands from Linux 4.9.
* Added decoding of recently added syscalls on arc, x32, and xtensa.
* Enhanced manual page.
* Bug fixes
* Fixed corner cases in decoding of exit, exit_group, futimesat, getgroups,
getresuid, init_module, inotify_init1, kcmp, kexec_load, lookup_dcookie,
mq_getsetattr, mq_notify, mq_open, mq_timedreceive, mq_timedsend,
name_to_handle_at, prctl, process_vm_readv, process_vm_writev, setfsuid,
setgroups, setns, unshare, and utimes syscalls.
* Fixed handling of verbose flag in printing of controls array
of struct v4l2_ext_controls.
* Fixed omission of field names in the output of capability, sigaction,
sigevent, statfs, timespec, timeval, and utimbuf structures.
* Fixed printing of unknown syscalls in siginfo structure.
* Fixed decoding of ioctl constants on m68k.
* Fixed cris architecture support.
* Fixed cross build when host compiler does not support the same
set of warning flags as the cross compiler.
* Fixed build on SLE10 and SLE11.

==== tiff ====
Subpackages: libtiff-devel libtiff5 libtiff5-32bit

- Drop --with-pic, this is only for static libs (which are not built)
- Update descriptions
- Update homepage

==== tracker ====
Version update (1.10.2 -> 1.10.3)
Subpackages: libtracker-common-1_0 libtracker-control-1_0-0
libtracker-miner-1_0-0 libtracker-sparql-1_0-0 tracker-miner-files
typelib-1_0-Tracker-1_0 typelib-1_0-TrackerControl-1_0

- Update to version 1.10.3:
+ tracker-extract: Whitelisted further syscalls in the sandbox.
False positives were being triggered in i686 platforms, plus
other syscalls that have been missed in 1.10.2.
- Add pkgconfig(libseccomp) BuildRequires: Build support for
sandboxed metadata extraction.
- Replace libupower-glib-devel for pkgconfig(upower-glib)
BuildRequires: Align with what configure looks for.

==== tracker-extras ====
Version update (1.10.2 -> 1.10.3)
Subpackages: nautilus-extension-tracker-tags tracker-gui

- Update to version 1.10.3:
+ tracker-extract: Whitelisted further syscalls in the sandbox.
False positives were being triggered in i686 platforms, plus
other syscalls that have been missed in 1.10.2.
- Add pkgconfig(libseccomp) BuildRequires: Build support for
sandboxed metadata extraction.
- Replace libupower-glib-devel for pkgconfig(upower-glib)
BuildRequires: Align with what configure looks for.

==== vala ====
Subpackages: libvala-0_34-0

- Fix descriptions so they actually describe subpackages.
- Have the -devel package provide libvala-devel: this allows
consumers to require libvala without version constraints. They
will still have to follow the API changes though.

==== wpa_supplicant ====
Subpackages: wpa_supplicant-gui

- Added .service files that accept interfaces as %i arguments so it's possible
to call the daemon with:
"systemctl start wpa_supplicant@$INTERFACE_NAME.service"
(like openvpn for example)

==== yast2-network ====
Version update (3.2.16 -> 3.2.17)

- bnc#1013605
- Enable DHCP_HOSTNAME listbox only when wicked service is used.
- Fixed displaying the "keep current settings" option.
- 3.2.17

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >